#include <iostream>
using namespace std;

int main()
{
    int N, L;
    cin >> N >> L;

    bool mozeproci = true;

    for (int i = 0; i < N; i++)
    {
        int H;
        cin >> H;

        if (L >= H)
        {
            cout << i + 1;
            mozeproci = false;
            break;
        }
    }

    if (mozeproci)
    {
        cout << -1;
    }
}